=== debian/changelog ===
freecad (0.18~pre1+dfsg1-5+rpi1) buster-staging; urgency=medium

  * Add include of Inventor/system/gl.h to src/Gui/SoFCOffscreenRenderer.cpp
    and src/Gui/Quarter/SoQTQuarterAdaptor.cpp
  * Fix clean target.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 02 Jul 2019 16:57:55 +0000

freecad (0.18~pre1+dfsg1-5) unstable; urgency=medium

  * [e91ae47] Fix update-alternatives problem (Closes: #923465 #923412)
  * [a7f46c7] Update OpenCASCADE path
  * [958e27f] Add patch to fix Start WB
  * [ba149a5] Add lintian override for freecad virtual package

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 02 Mar 2019 03:42:57 -0600

freecad (0.18~pre1+dfsg1-4) unstable; urgency=medium

  * [7865394] Use libqt5opengl5-dev instead of -desktop-dev for armel/armhf
    builds

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 15 Feb 2019 14:15:18 -0600

freecad (0.18~pre1+dfsg1-3) unstable; urgency=medium

  * [f852948] Re-add allow-stderr restriction on autopkgtest

 -- Kurt Kremitzki <kurt@kwk.systems>  Mon, 11 Feb 2019 13:59:14 -0600

freecad (0.18~pre1+dfsg1-2) unstable; urgency=medium

  * [4f80ffc] Undo accidental autopkgtest reversion

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 10 Feb 2019 16:48:53 -0600

freecad (0.18~pre1+dfsg1-1) unstable; urgency=medium

  * [e648c8e] Add Breaks+Conflicts+Replaces to smooth upgrade

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 09 Feb 2019 17:56:53 -0600

freecad (0.18~pre1+dfsg1-1~exp1) experimental; urgency=medium

  * [f52bb1e] Update packaging for 0.18
  * [0b830f4] New upstream version 0.18~pre1+dfsg1
  * [9b83d5c] Update lintian overrides for 0.18

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 27 Jan 2019 19:42:09 -0600

freecad (0.17+dfsg1-8) unstable; urgency=medium

  * [9d6a8a1] Add allow-stderr restriction on autopkgtest (Closes: #920525)

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 26 Jan 2019 18:04:22 -0600

freecad (0.17+dfsg1-7) unstable; urgency=medium

  * [86c1410] Fix autopkgtest command (Closes: #918479)
  * [d5ee7ff] Update VTK dep to v7

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 25 Jan 2019 20:33:35 -0600

freecad (0.17+dfsg1-6) unstable; urgency=medium

  * [af5bdfa] Update coin/pivy deps for Coin transition

 -- Kurt Kremitzki <kurt@kwk.systems>  Fri, 21 Dec 2018 08:11:47 -0600

freecad (0.17+dfsg1-5) unstable; urgency=medium

  * Upload to unstable

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 11 Oct 2018 08:14:49 -0500

freecad (0.17+dfsg1-4) experimental; urgency=medium

  * [07492c4] Update dependency to use libqt5opengl5-desktop-dev & exclude
    armel/armhf

 -- Kurt Kremitzki <kurt@kwk.systems>  Thu, 11 Oct 2018 00:37:53 -0500

freecad (0.17+dfsg1-3) experimental; urgency=medium

  * [44d99e3] Remove fail-missing to handle arch-specific builds

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 10 Oct 2018 02:38:11 -0500

freecad (0.17+dfsg1-2) experimental; urgency=medium

  * [04e05c3] Downgrade VTK dependency back to VTK6
  * [6f91417] Enable Qt5 builds (Closes: #874877)
  * [741aae7] Add patch for Qt 5.11 build support
  * [0939941] Add Breaks+Replaces for FreeCAD < 0.17 (Closes: #906110)

 -- Kurt Kremitzki <kurt@kwk.systems>  Mon, 08 Oct 2018 01:32:52 -0500

freecad (0.17+dfsg1-1) experimental; urgency=medium

  * New upstream version 0.17+dfsg1
  * Update OpenCASCADE dependency to use OCCT instead of OCE
  * Update VTK dependency to VTK7
  * Update d/copyright's Files-Excluded section and clean up per lintian
    warnings
  * Update Uploaders: add Kurt Kremitzki
  * Switch default workbench from Start to Part Design due to Qt 4 Webkit
    deprecation, to be reverted after Qt 5 switch is complete
  * Removed patches fixed upstream or no longer relevant in 0.17:
    - fix-836983.patch
    - fix_FTBFS_on_precise.patch
    - use_share.patch
  * Refreshed all other patches including:
    - remove_webkit.patch: Since this breaks the default Start Workbench,
      I have updated it to default to Part Design, the new premier WB
      for this upstream version (i.e. PartDesign Next)
  * Added lintian override for hardening false positives

 -- Kurt Kremitzki <kkremitzki@gmail.com>  Thu, 07 Jun 2018 17:32:47 -0500

freecad (0.16.6712+dfsg1-3) unstable; urgency=medium

  * Team upload
  * Close Teemu's bug in previous changelog entry
  * Fix autopkgtest on architectures where char is unsigned by default,
    thanks Frédéric Bonnard (Closes: #836983)
  * Install copies of icons since AppStream does not recognize symlinks
    (Closes: #850965)
  * Update Uploaders: add Sebastian Kuzminsky
                      remove Adam C. Powell, IV

 -- Graham Inggs <ginggs@debian.org>  Mon, 28 May 2018 08:55:04 +0000

freecad (0.16.6712+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Teemu Ikonen ]
  * [a1ddb98] Remove myself from Uploaders. (Closes: #892617)

  [ Anton Gladky ]
  * [705f952] Update VCS-fields to the salsa-migration
  * [ddc6548] Set Standards-Version to 4.1.4
  * [3313fe7] Remove myself from uploaders
  * [a3ef1ba] Switch to compat-level 11
  * [6a5a3cb] Remove deprecated Testsuite-field in the d/control

 -- Anton Gladky <gladk@debian.org>  Wed, 23 May 2018 22:35:29 +0200
